#include "StdAfx.h"
#include "ChangeNoticeDialogManager.h"
#include "ChangeNoticeDlg.h"
#include "ChangeNoticeController.h"
#include "ChangeNoticePushController.h"
ChangeNoticeDialogManager::ChangeNoticeDialogManager(void)
{
}

ChangeNoticeDialogManager::~ChangeNoticeDialogManager(void)
{
}

void ChangeNoticeDialogManager::CreateNoticeDlg(ChangeNoticeController *pController)
{
	ChangeNoticeDlg* pDialog = new ChangeNoticeDlg();

	if (NULL == pDialog)
		return;
	pDialog->m_changeType = pController->GetChangeTypeCode();
	pDialog->strReasonKR = pController->GetCheckReasonKR();
	pDialog->strReasonEN = pController->GetCheckReasonEN();
	pDialog->strReasonJP = pController->GetCheckReasonJP();
	pDialog->strReasonCN = pController->GetCheckReasonCN();
	pDialog->strReasonTW = pController->GetCheckReasonTW();
	pDialog->m_CheckStartTime = pController->GetCheckStartYMDT();
	pDialog->m_CheckEndTime = pController->GetCheckEndYMDT();

	pDialog->Create(ChangeNoticeDlg::IDD, AfxGetMainWnd());
	pDialog->ShowWindow(SW_SHOW);
}

void ChangeNoticeDialogManager::SetReadOnly( BOOL bStatus, CObject* pObject )
{

}

void ChangeNoticeDialogManager::CreatePushNoticeDlg(ChangeNoticePushController *pController)
{
	ChangeNoticeDlg* pDialog = new ChangeNoticeDlg();
	
	if (NULL == pDialog)
		return;
	pDialog->m_changeType = pController->GetChangeTypeCode();
	pDialog->strReasonKR = pController->GetCheckReasonKR();
	pDialog->strReasonEN = pController->GetCheckReasonEN();
	pDialog->strReasonJP = pController->GetCheckReasonJP();
	pDialog->strReasonCN = pController->GetCheckReasonCN();
	pDialog->strReasonTW = pController->GetCheckReasonTW();
	pDialog->m_CheckStartTime = pController->GetCheckStartYMDT();
	pDialog->m_CheckEndTime = pController->GetCheckEndYMDT();

	pDialog->Create(ChangeNoticeDlg::IDD,  AfxGetMainWnd());
	pDialog->ShowWindow(SW_SHOW);
}
